> ## Documentation Index
> Fetch the complete documentation index at: https://docs.crunchz.app/llms.txt
> Use this file to discover all available pages before exploring further.

# All Group

> Retrieve a paginated list of all WhatsApp groups associated with your account, including group names, IDs, and metadata.



## OpenAPI

````yaml GET /groups
openapi: 3.1.0
info:
  title: CrunchzApp API Docs
  version: 1.0.0
  description: >-
    Comprehensive WhatsApp API for seamless messaging integration, automation,
    and customer communication in your applications.
servers:
  - url: https://api.crunchz.app/api
security:
  - http: []
paths:
  /groups:
    get:
      tags:
        - Groups
      description: >-
        Retrieve a paginated list of all WhatsApp groups associated with your
        account, including group names, IDs, and metadata.
      operationId: groups.getGroups
      parameters:
        - name: limit
          in: query
          required: false
          description: 'Limit (optional, default: 50, min: 1, max: 100)'
          schema:
            type: integer
            minimum: 1
            maximum: 100
            default: 50
          example: 50
        - name: offset
          in: query
          required: false
          description: 'Offset (optional, default: 0, min: 0)'
          schema:
            type: integer
            minimum: 0
            default: 0
          example: 0
      responses:
        '200':
          description: '`GroupsCollection`'
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/GroupsCollection'
        '400':
          $ref: '#/components/responses/BadRequestException'
        '401':
          $ref: '#/components/responses/UnauthorizedException'
        '403':
          $ref: '#/components/responses/AuthorizationException'
        '422':
          $ref: '#/components/responses/ValidationException'
        '500':
          $ref: '#/components/responses/InternalServerErrorException'
components:
  schemas:
    GroupsCollection:
      type: object
      properties:
        success:
          type: boolean
          description: The success status of response.
        message:
          type: string
          description: The message of response.
        data:
          type: array
          items:
            $ref: '#/components/schemas/GroupsResource'
        meta:
          $ref: '#/components/schemas/PaginationMeta'
      required:
        - success
        - message
        - data
        - meta
      title: GroupsCollection
    GroupsResource:
      type: object
      properties:
        id:
          type: string
          description: The group ID
        name:
          type: string
          description: The group name
        created_at:
          type: string
          description: The group creation date time
        owner:
          type: string
          description: The group owner
        restricted:
          type: boolean
          description: Are the group is restricted?
        is_community:
          type: boolean
          description: Are the group is community?
        is_owner:
          type: boolean
          description: Are channel is the owner?
        actions:
          type: object
          properties:
            join_approval:
              type: boolean
              description: Member needs approval to join
            can_add_member:
              type: boolean
              description: The channel can add other members to the group
          required:
            - join_approval
            - can_add_member
        participant_count:
          type: integer
          description: Total participants in the group
      required:
        - id
        - name
        - created_at
        - owner
        - restricted
        - is_community
        - is_owner
        - actions
        - participant_count
      title: GroupsResource
    PaginationMeta:
      type: object
      properties:
        current_page:
          type: integer
          description: Current page number
          example: 1
        per_page:
          type: integer
          description: Number of items per page
          example: 50
        total:
          type: integer
          description: Total number of items
          example: 150
        total_pages:
          type: integer
          description: Total number of pages
          example: 3
        has_next_page:
          type: boolean
          description: Whether there is a next page
          example: true
        has_prev_page:
          type: boolean
          description: Whether there is a previous page
          example: false
      required:
        - current_page
        - per_page
        - total
        - total_pages
        - has_next_page
        - has_prev_page
      title: PaginationMeta
  responses:
    BadRequestException:
      description: Bad request error
      content:
        application/json:
          schema:
            type: object
            properties:
              message:
                type: string
                description: Error overview.
            required:
              - message
    UnauthorizedException:
      description: Unauthorized error
      content:
        application/json:
          schema:
            type: object
            properties:
              message:
                type: string
                description: Error overview.
            required:
              - message
    AuthorizationException:
      description: Authorization error
      content:
        application/json:
          schema:
            type: object
            properties:
              message:
                type: string
                description: Error overview.
            required:
              - message
    ValidationException:
      description: Validation error
      content:
        application/json:
          schema:
            type: object
            properties:
              message:
                type: string
                description: Errors overview.
              errors:
                type: object
                description: A detailed description of each field that failed validation.
                additionalProperties:
                  type: array
                  items:
                    type: string
            required:
              - message
              - errors
    InternalServerErrorException:
      description: Internal server error
      content:
        application/json:
          schema:
            type: object
            properties:
              message:
                type: string
                description: Error overview.
            required:
              - message
  securitySchemes:
    http:
      type: http
      scheme: bearer
      bearerFormat: JWT

````